Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
Halide::Internal::Autoscheduler::FunctionDAG::Edge Struct Reference

`#include <FunctionDAG.h>`

## Classes
struct | BoundInfo

## Public Member Functions
void | add_load_jacobian (LoadJacobian j1)
void | expand_footprint (const Span *consumer_loop, Span *producer_required) const
bool | all_load_jacobian_coeffs_exist () const
void | add_load_jacobian (LoadJacobian j1)
void | expand_footprint (const Span *consumer_loop, Span *producer_required) const

## Public Attributes
vector< pair< BoundInfo, BoundInfo > > | bounds
FunctionDAG::Node * | producer
FunctionDAG::Node::Stage * | consumer
int | calls
bool | all_bounds_affine
vector< LoadJacobian > | load_jacobians

## Detailed Description

Definition at line 526 of file FunctionDAG.h.

## Member Function Documentation

## ◆ add_load_jacobian() [1/2]

void Halide::Internal::Autoscheduler::FunctionDAG::Edge::add_load_jacobian | ( | LoadJacobian | j1 | ) |

## ◆ expand_footprint() [1/2]

void Halide::Internal::Autoscheduler::FunctionDAG::Edge::expand_footprint | ( | const Span * | consumer_loop,
|  | Span * | producer_required
| ) |  | const

## ◆ all_load_jacobian_coeffs_exist()

bool Halide::Internal::Autoscheduler::FunctionDAG::Edge::all_load_jacobian_coeffs_exist | ( |  | ) | const

## ◆ add_load_jacobian() [2/2]

void Halide::Internal::Autoscheduler::FunctionDAG::Edge::add_load_jacobian | ( | LoadJacobian | j1 | ) |

## ◆ expand_footprint() [2/2]

void Halide::Internal::Autoscheduler::FunctionDAG::Edge::expand_footprint | ( | const Span * | consumer_loop,
|  | Span * | producer_required
| ) |  | const

## Member Data Documentation

## ◆ bounds

vector< pair< BoundInfo, BoundInfo > > Halide::Internal::Autoscheduler::FunctionDAG::Edge::bounds

Definition at line 541 of file FunctionDAG.h.

## ◆ producer

FunctionDAG::Node * Halide::Internal::Autoscheduler::FunctionDAG::Edge::producer

Definition at line 543 of file FunctionDAG.h.

## ◆ consumer

FunctionDAG::Node::Stage * Halide::Internal::Autoscheduler::FunctionDAG::Edge::consumer

Definition at line 544 of file FunctionDAG.h.

## ◆ calls

int Halide::Internal::Autoscheduler::FunctionDAG::Edge::calls

Definition at line 548 of file FunctionDAG.h.

## ◆ all_bounds_affine

bool Halide::Internal::Autoscheduler::FunctionDAG::Edge::all_bounds_affine

Definition at line 550 of file FunctionDAG.h.

## ◆ load_jacobians

vector< LoadJacobian > Halide::Internal::Autoscheduler::FunctionDAG::Edge::load_jacobians

Definition at line 552 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h